Posts by ni3

    Auf die Schnelle hätte ich das hier dazu gefunden:


    http://www.ifun.de/apple-tv-up…o-geht-es-trotzdem-45359/


    Leider kenne ich mich mit Apple TV nicht aus und habe auch kein Gerät zum Testen hier, sollte der Apple aber zur Zusammenarbeit mit dem Plex Server zu bewegen sein, könnte es sein, dass das VDR Plugin, welches ich in meiner Anleitung verwende, auch funktioniert. Das Plugin ist ursprünglich für die Dreambox geschrieben worden und wurde von jemandem für VDR angepasst um den VDR-Stream auf iOS Geräten abzuspielen. Bei mir funktioniert es mit Windows 8.


    Sollte also machbar sein, probiere es aus und berichte. Ansonsten glaube ich, wäre die Frage im Plex-Forum vielleicht noch besser aufgehoben, dort bekommt man auch gute Antworten.


    Nick

    Danke für die Info.


    Ich habe jetzt noch etwas wegen der Sorge, die Pakete aus den Ubuntu-Quellen könnten aktueller werden als die aus dem Personal Package Archive recherchiert und z.B das hier bei wiki.ubuntuusers.de gefunden:


    "Die Politik der Ubuntu-Entwickler ist, nach der Veröffentlichung einer neuen Ubuntu-Version die Anwendungsprogramme möglichst unangetastet zu lassen und keine neuen Versionen einzelner Komponenten zu integrieren, ..."


    die VDR-Versionen die mit den verschiedenen Ubuntu-Releases kommen sind wie folgt:


    precise = 1.7.22-1; quantal = 1.7.28-1; raring = 1.7.28-1; saucy = 2.0.3-1; trusty = 2.0.3-1 (Quelle: http://packages.ubuntu.com/de/precise/vdr)


    Deshalb sollten eigentlich keine Versionskonflikte auftreten, solange die Ubuntu-Version kein Upgrade bekommt (was ab dem Erscheinen von 14.04 LTS eine Option werden könnte).
    Insofern glaube ich, dass das apt-pinning erst dann eine wirkliche Notwendigkeit darstellt, wenn es auch jetzt sicher nicht schadet. Zur Kontrolle hänge ich noch die Ausgabe von vdr -V und apt-cache policy vdr an.


    vdr -V


    vdr (2.0.3/2.0.0) - The Video Disk Recorder
    epgsearchonly (0.0.1) - Direct access to epgsearch's search menu
    streamdev-server (0.6.1-git) - VDR Streaming Server
    conflictcheckonly (0.0.1) - Direct access to epgsearch's conflict check menu
    quickepgsearch (0.0.1) - Quick search for broadcasts
    restfulapi (0.1.2) - Offers a RESTful-API to retrieve data from VDR
    epgsearch (1.0.1.beta5) - search the EPG for repeats and more
    live (0.3.0) - Live Interactive VDR Environment


    apt-cache policy vdr


    vdr:
    Installiert: 2.0.3-3yavdr0~0.5
    Kandidat: 2.0.3-3yavdr0~0.5
    Versionstabelle:
    *** 2.0.3-3yavdr0~0.5 0
    500 http://ppa.launchpad.net/yavdr/stable-vdr/ubuntu/ precise/main amd64 Packages
    100 /var/lib/dpkg/status
    1.7.22-1 0
    500 http://de.archive.ubuntu.com/ubuntu/ precise/universe amd64 Packages


    Entsprechend sieht es auch mit den vdr-plugins aus, ich glaube ich bin safe?


    Nick

    Eine Frage würde ich gerne noch hinterher schieben, auf meinem System war keine setup.conf, deshalb habe ich mir eine aus dem VDR-Wiki besorgt. Mit vier oder fünf Einträgen ist er nicht klar gekommen, d.h. da wurde ein ERROR im syslog vermerkt, diese Einträge habe ich entfernt. Was wäre da die richtige Vorgehensweise, kann ich das so lassen oder muss ich nochmal ran?


    Nick

    Hallo Lars,


    super Erklärung, vielen Dank! Ich werde das mit dem apt-pinning genau nachlesen und nachreichen.
    Da ich Ubuntu 12.04 verwende sollte aber nichts neues mehr kommen, also keine neuere VDR Version, nur Sicherheitsupdates, oder?
    Ich werde sowieso vor dem nächsten Update bzw. weiteren Änderungen ein komplettes Backup machen , damit ich notfalls wieder zurück kann, die Wahrscheinlichkeit, dass ich was verbocke ist schon groß.
    Kannst du mir noch erklären, inwiefern ich PPAs bunt mische, ich dachte ich verwende nur das yaVDR PPA und davon die für den Stable-VDR, habe ich da auch was übersehen oder meinst du mit mischen die Standardquellen von Ubuntu???


    Nick

    O.K. da scheint es auch was für TVHeadend zu geben:


    https://forums.plex.tv/index.p…-headend-next-generation/


    Aber ich verstehe noch nicht so ganz, was an VDR verkehrt ist, TVHeadend hatte ich auch schon mal installiert und kann mich jetzt nicht erinnern, dass das nach zehn Minuten schon erledigt war, aber danke für die Idee, sollte das mit dem VDR nicht mehr laufen, werde ich TVHeadend nochmal versuchen.

    Hallo Lars,


    danke für das Feedback und du hast völlig Recht, das fehlende Init-Skript war einer der ersten Stolpersteine, aber wie Christian auch richtig bemerkt, habe ich das inzwischen schon gefunden.


    Du schreibst auch: "...danach wird durch das Einbinden der yaVDR-PPAs der vdr daraus installiert" ich glaube nicht, dass das so zutrifft? Ich habe den vdr nur einmal installiert, danach wurde mit einem apt-get upgrade auf die neuere Version gewechselt, apt sollte dabei die alte doch runter schmeißen? Wenn das nicht der Fall ist, wie kann ich das überprüfen? Es wird auf jeden Fall noch das alte Startskript verwendet und das wird auch der nächste Schritt sein, dass ich das auswechsel.


    Und wegen dem apt-pinning bin jetzt verwirrt, ich habe das unter Debian schon verwendet um Pakete aus testing unter stable zu installieren, ich dachte wenn hinter der Paketquelle precise steht, würde apt sowieso eben die aktuelle Version nehmen? Mit apt-cache search und apt-cache show sieht es zumindest so aus, als ob die Pakete alle zum aktuellen VDR passen würden?


    Erwartet mich da jetzt die Abhängigkeiten-Katastrophe?


    Nick

    Hallo vdr-portal,


    ich würde mich als Anfänger in Sachen Linux bezeichnen und noch weniger Ahnung habe ich von Linux-VDR, deshalb ist es umso seltsamer, dass ich mich entschlossen habe eine Installationsanleitung zu erstellen.
    Hintergrund ist ein mehrfaches Scheitern bei der Installation des VDR's unter Ubuntu mit den yaVDR-Paketquellen, irgendetwas hat immer nicht gepasst und mangels Wissen konnte ich das Problem nicht lösen. Selbst die Tipps aus diesem Forum oder von anderer Stelle haben nicht geholfen oder ich habe die vermeintliche "Lösung" erst gar nicht verstanden und konnte es so nicht nachvollziehen.


    Was früher schon funktioniert hat war die Installation der yaVDR-Distribution, da ich aber einen reinen Headless-Betrieb möchte und auch keine Nvidia-GPU benutze, wollte ich das auf einer Ubuntu-Server Installation aufsetzen.


    Letztlich ist es mir gelungen und ich habe die Schritte (v.a. auch für mich selbst) dokumentiert. Da ich ausschließlich den Ubuntu Paketmanager benutzt habe und nichts kompiliert wurde, halte ich die Vorgehensweise für sehr "anfängertauglich"!


    Als Zusatz habe ich noch den Plex Media Server installiert und beschrieben, wie man VDR und Plex mit einem Plug-in verbinden kann, das Ganze läuft seit ein paar Tagen fehlerfrei.


    Zu guter Letzt beschreibe ich noch kurz, wie man auf einem HTPC als Client, XBMC für die Benutzung mit Plex und VDR (PleXBMC) konfiguriert.


    Mir ist bewusst, dass diese Anleitung nicht frei von Fehlern sein kann (und damit meine ich nicht nur Tippfehler), deshalb wäre ich für jeden Tipp dankbar und bin für Kritik offen. Jeder Hinweis, der mir hilft meinen Server zu verbessern wird dankend angenommen.


    Damit man sich einen Eindruck vom Ergebnis machen kann, habe ich eine kleine Fotostrecke gemacht:


    https://plus.google.com/photos…2737?authkey=CM3n7vChnfsI


    und hier die Anleitung:


    https://drive.google.com/file/…kNEFzZFU/edit?usp=sharing


    Gruß, Nick

    ahh, funktioniert das?


    Weil bei dem iptv.bundle steht, Zitat:"It is a known fact that Plex Media Server does not transcode live streams so you might need a third party transcoder" und da dachte ich, das gilt hier auch?


    Ich bin erst vor drei Tagen auf den PMS gestoßen und auch nur durch Zufall, weil ich FreeNAS testen wollte und da gibt es das als Plugin. Vorher hatte ich Ubuntu Server und habe das Streaming immer mit dem VLC-Player erledigt (schon seit fast drei Jahren), aber dazu musste ich über ssh den VLC starten. Mit 1080p hatte ich noch nie Probleme, das läuft flüssig (i5 oder i7), muss halt nur durch die (asynchrone) Internetleitung und deshalb unter 6 MBit/s bleiben. Allerdings macht es wenig Sinn HDTV runter zu rechnen, wenn das gleiche Programm auch als SD voliegt. Transkodieren musste ich da auch, weil Sat im SD-Bereich immer noch bei ca. 10 MBit/s liegt, DVB-T geht ohne. An diesem WE bei meiner Freundin konnten wir HD Filme schauen, beim Transcoding habe ich 720p 4MBit/s eingestellt und das Ganze war natürlich sehr komfortabel mit PMS/PleXBMC.


    Ich bin sehr erstaunt, wie gut dein Plugin läuft, v.a. weil ich auch eine Enigma2 Settop-Box habe und das dreambox.bundle verweigert den Dienst?


    Gute Arbeit!


    EDIT! Dreambox.bundle läuft inzwischen auch.